import { jsx as _jsx } from "react/jsx-runtime";
import { useEffect, useRef } from "react";
import { toValidDOMId } from "../lib/testHelpers";
import { useTestContext } from "./TestContext";
import { TestGroupProvider } from "./TestGroupContext";
export const TestGroup = ({ title, beforeEach, afterEach, beforeAll, afterAll, children, ...props }) => {
    const { addGroup } = useTestContext();
    const didInit = useRef(false);
    useEffect(() => {
        if (didInit.current) {
            return;
        }
        addGroup({
            title,
            beforeEach,
            afterEach,
            beforeAll,
            afterAll,
        });
        didInit.current = true;
    }, []);
    const DOMId = toValidDOMId(title);
    return _jsx(TestGroupProvider, { groupTitle: title, children: _jsx("div", { "data-test-group": "true", id: DOMId, ...props, children: children }) });
};
