import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useState } from "react";
import { useWaitForIframesTestContainers } from "../..";
import { MultipleTestContainersOverview } from "./MultipleTestContainersOverview";
export const MultiplePageOverview = ({ urls, iframeProps, ...props }) => {
    const [iframesLoaded, setIframesLoaded] = useState([]);
    const handleIframeLoad = (index) => {
        setIframesLoaded((prev) => Array.from(new Set([...prev, index])));
    };
    const iframeRefs = useWaitForIframesTestContainers(urls, handleIframeLoad);
    if (urls.length === 0) {
        throw new Error("No urls provided to MultiplePageOverview");
    }
    return (_jsx("div", { ...props, children: urls.map((url, index) => (_jsxs("div", { children: [iframesLoaded.includes(index) && _jsx(MultipleTestContainersOverview, { iframeUrl: url }), _jsx("iframe", { ref: (el) => {
                        if (!el) {
                            // The ref is null when the component is unmounted.
                            // We're only interested in the ref when the component is mounted.
                            return;
                        }
                        iframeRefs.current[index] = el;
                    }, src: url, ...iframeProps })] }, index))) }));
};
