import { jsx as _jsx } from "react/jsx-runtime";
import { useGetContainerIds } from "../../lib/hooks";
import { SingleTestContainerOverview } from "./SingleTestContainerOverview";
function getTitle(numContainers, containerId, iframeUrl) {
    let title;
    if (numContainers > 1 && !iframeUrl) {
        title = `Container Id '${containerId}'`;
    }
    else if (numContainers > 1 && iframeUrl) {
        title = `Url '${iframeUrl}' - Container Id '${containerId}'`;
    }
    else if (numContainers === 1 && iframeUrl) {
        title = `Url '${iframeUrl}'`;
    }
    return title;
}
export const MultipleTestContainersOverview = ({ iframeUrl, showGroupStats = false, ...props }) => {
    const containerIds = useGetContainerIds(iframeUrl);
    return _jsx("div", { ...props, children: containerIds.map((containerId) => (_jsx(SingleTestContainerOverview, { containerId: containerId, iframeUrl: iframeUrl, showGroupStats: showGroupStats, title: getTitle(containerIds.length, containerId, iframeUrl) }, containerId))) });
};
